// PlaybackSampleDlg.h : header file
//
//{{AFX_INCLUDES()
#include "rpbactivex.h"
//}}AFX_INCLUDES

#if !defined(AFX_PLAYBACKSAMPLEDLG_H__F25C45FE_5D43_4A15_87EE_A4DEB019EEC6__INCLUDED_)
#define AFX_PLAYBACKSAMPLEDLG_H__F25C45FE_5D43_4A15_87EE_A4DEB019EEC6__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CPlaybackSampleDlg dialog

class CPlaybackSampleDlg : public CDialog
{
// Construction
public:
	CPlaybackSampleDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CPlaybackSampleDlg)
	enum { IDD = IDD_PLAYBACKSAMPLE_DIALOG };
	CComboBox	m_Profile;
	CRPBActiveX	m_RPBActiveX;
	CString	m_FontName;
	int		m_FontSize;
	int		m_FontG;
	int		m_FontR;
	int		m_FontB;
	int		m_BackG;
	int		m_BackB;
	int		m_Transparency;
	BOOL	m_bHasEdge;
	BOOL	m_bTime;
	BOOL	m_bDate;
	BOOL	m_bCameraName;
	BOOL	m_bBold;
	int		m_BackR;
	CString	m_IPAddress;
	CString	m_Password;
	CString	m_UserName;
	int		m_View;
	CString	m_RecordEndTime;
	CString	m_RecordStartTime;
	CString	m_SaveEndTime;
	CString	m_SaveStartTime;
	BOOL	m_ExportAudio;
	BOOL	m_ExportOSD;
	CString	m_Message;
	int		m_CameraIndex;
	int		m_CameraLow;
	int		m_CameraHigh;
	CString	m_SeekTime;
	CString	m_Path;
	CString m_DisplayStartTime;
    BOOL    m_IsOpenRecordSuccess;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPlaybackSampleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CPlaybackSampleDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButtonConnect();
	afx_msg void OnBUTTONOpenRecord();
	afx_msg void OnButtonDisconnect();
	afx_msg void OnButtonPlay();
	afx_msg void OnButtonPause();
	afx_msg void OnButtonStop();
	afx_msg void OnButtonSpeedup();
	afx_msg void OnButtonSpeeddown();
	afx_msg void OnButtonSeek();
	afx_msg void OnButtonStepforward();
	afx_msg void OnButtonStepbackward();
	afx_msg void OnButtonCameracount();
	afx_msg void OnButtonCameraname();
	afx_msg void OnButtonSaveimage();
	afx_msg void OnButtonSaveavi();
	afx_msg void OnButtonSaveasf();
	afx_msg void OnButtonSetosd();
	afx_msg void OnButtonGetactiveview();
	afx_msg void OnButtonSetactiveview();
	afx_msg void OnOnEventRpbactivexctrl1(long iEventID, long iParameter);
	afx_msg void OnDisplayTime(BSTR DisplayTime);
	afx_msg void OnButtonGetDisplayTime();
    afx_msg void OnButtonChangeResoluton();
    afx_msg void OnButtonPrevious();
    afx_msg void OnButtonNext();
    afx_msg void OnButtonGetPlayerState();
    afx_msg void OnButtonGetScheduleLogs();
    afx_msg void OnButtonGetRecordLogs();
    afx_msg void OnButtonQueryEvents();
    afx_msg void OnButtonGetRecordDateList();
    afx_msg void OnBnClickedButtonSaveorigavi();
    afx_msg void OnRecordDate(BSTR DateTime);
    afx_msg void OnScheduleLog(int iCameraIndex, BSTR Type, BSTR StartTime, BSTR EndTime);
    afx_msg void OnRecordLog(int iCameraIndex, BSTR StartTime, BSTR EndTime);
    afx_msg void OnEventLog(BSTR DateTime, int iCameraIndex, BSTR EventType, BSTR auxiliaryCode, BSTR description, BSTR sourceName);
    afx_msg void OnExportFinish(BSTR Status);
    DECLARE_EVENTSINK_MAP()
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
    BOOL CPlaybackSampleDlg::CheckDateTime(const CString &dateTime);

	int m_Width;
	int m_Height;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PLAYBACKSAMPLEDLG_H__F25C45FE_5D43_4A15_87EE_A4DEB019EEC6__INCLUDED_)
